/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.arrebol.taxiservicios.model.view.jaas;

import java.io.Serializable;

/**
 *
 * @author Picasso
 */
public class SecurityAuthorization implements Serializable {

    private static final long serialVersionUID = 5344890405345537588L;

    private String userName;
    private String permission;

    public SecurityAuthorization() {
    }

    public SecurityAuthorization(String userName, String permission) {
        this.userName = userName;
        this.permission = permission;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPermission() {
        return permission;
    }

    public void setPermission(String permission) {
        this.permission = permission;
    }

    @Override
    public String toString() {
        return "SecurityAuthorization{" + "userName=" + userName + ", permission=" + permission + '}';
    }

}
